> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/microsoft-xna-framework/gamewindow/clientsizechanged.md).

# Introduction

ClientSizeChanged is an event which is raised whenever the window is resized. Unfortunately this event is only raised when the window is resized by dragging the corners/edges, or when the window is maximized. Once the window is maximized, clicking the maximize button to restore the window will not raise this event. Therefore, it is recommended that Windows Desktop games the [CornerGrabbingResize](/flatredball/api/flatredball/flatredballservices/cornergrabbingresize.md) event. For more information on this event, see the [this page](http://msdn.microsoft.com/en-us/library/microsoft.xna.framework.gamewindow.clientsizechanged.aspx).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/api/microsoft-xna-framework/gamewindow/clientsizechanged.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
